# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeAsCronsRequest(JDCloudRequest):
    """
    查看定时任务
- 所有参数取值为字符串类型的都严格区分大小写
- 所有参数都为非必传，但是至少需要传入一个参数，否则报错
- 伸缩功能开启或者关闭的情况下，都支持调用此接口
- 定时任务如果关联伸缩规则，只能关联简单规则，且一个定时任务只能关联一个简单规则

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeAsCronsRequest, self).__init__(
            '/regions/{regionId}/asCrons', 'GET', header, version)
        self.parameters = parameters


class DescribeAsCronsParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域ID
        """

        self.regionId = regionId
        self.pageNumber = None
        self.pageSize = None
        self.filters = None
        self.sorts = None

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码，默认为`1`，最小值必须大于0
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小，默认为`20`，取值范围[`10` ~ `100`]
        """
        self.pageSize = pageSize

    def setFilters(self, filters):
        """
        :param filters: (Optional) 支持使用以下关键字进行过滤查询
- `agId`: 高可用组ID，精确匹配，支持多个
- `asCronId`: 定时任务ID，精确匹配，支持多个
- `name`: 定时任务名称，模糊匹配，支持单个

        """
        self.filters = filters

    def setSorts(self, sorts):
        """
        :param sorts: (Optional) 排序条件列表，目前只支持单个排序条件，不支持多个排序条件，默认按照 `createTime` 降序排序
支持使用以下关键字进行排序
- `createTime`: 创建时间

        """
        self.sorts = sorts

