# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeProbeHistoryRequest(JDCloudRequest):
    """
    查询可用性监控任务的指定探测源的异常探测历史
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeProbeHistoryRequest, self).__init__(
            '/probeTask/{probeTaskID}/probe/{probeID}', 'GET', header, version)
        self.parameters = parameters


class DescribeProbeHistoryParameters(object):

    def __init__(self,probeTaskID, probeID, ):
        """
        :param probeTaskID: 可用性监控task_id, id长度(0,50]
        :param probeID: 探测源id，  id长度（0,50]
        """

        self.probeTaskID = probeTaskID
        self.probeID = probeID
        self.startTime = None
        self.endTime = None

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 查询时间范围的开始时间， UTC时间，格式：2016-12-11T00:00:00+0800（默认为当前时间往前三天，早于3d时，将被重置为3d）（注意在url中+要转译为%2B故url中为2016-12-11T00:00:00%2B0800）
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 查询时间范围的结束时间， UTC时间，格式：2016-12-11T00:00:00+0800（为空时，默认为当前时间）（注意在url中+要转译为%2B故url中为2016-12-11T00:00:00%2B0800）
        """
        self.endTime = endTime

