# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class InstanceSpec(object):

    def __init__(self, vpcId, subnetId, instanceVersion, instanceName, azId, instanceClass, ipVersion=None, dedicatedMaster=None, coordinating=None, autoSnapshot=None, authConfig=None):
        """
        :param vpcId:  私有网络vpcId
        :param subnetId:  子网subnetId
        :param instanceVersion:  es版本，当前支持5.6.9和6.5.4
        :param instanceName:  es集群名称，不可为空，只支持大小写字母、数字、英文下划线或者中划线，以字母开头且不能超过32位
        :param azId:  可用区，各可用区编码请参考：https://docs.jdcloud.com/cn/jcs-for-elasticsearch/restrictions
        :param instanceClass:  规格配置，规格代码请参考：https://docs.jdcloud.com/cn/jcs-for-elasticsearch/specifications
        :param ipVersion: (Optional) 是否支持ipv6，支持值为v4&v6,不支持为空
        :param dedicatedMaster: (Optional) 是否包含专用主节点，默认false
        :param coordinating: (Optional) 是否包含协调节点，默认false
        :param autoSnapshot: (Optional) 自动快照设置。
        :param authConfig: (Optional) es数据面身份验证设置信息
        """

        self.vpcId = vpcId
        self.subnetId = subnetId
        self.instanceVersion = instanceVersion
        self.instanceName = instanceName
        self.azId = azId
        self.instanceClass = instanceClass
        self.ipVersion = ipVersion
        self.dedicatedMaster = dedicatedMaster
        self.coordinating = coordinating
        self.autoSnapshot = autoSnapshot
        self.authConfig = authConfig
