# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class InvokeFunctionRequest(JDCloudRequest):
    """
    触发函数执行

可以添加header参数 `x-fc-invocation-type`指定调用方式。
- Async 异步调用
- Sync 同步调用（暂不支持）

异步调用函数时，请求会立即返回 requestId。 <br>

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(InvokeFunctionRequest, self).__init__(
            '/regions/{regionId}/services/{serviceName}/functions/{functionName}/invocations', 'POST', header, version)
        self.parameters = parameters


class InvokeFunctionParameters(object):

    def __init__(self,regionId, serviceName, functionName, ):
        """
        :param regionId: Region ID
        :param serviceName: Service Name
        :param functionName: Function Name
        """

        self.regionId = regionId
        self.serviceName = serviceName
        self.functionName = functionName
        self.body = None

    def setBody(self, body):
        """
        :param body: (Optional) 事件信息，以json格式表示，会在函数执行时作为参数传入，默认为{}
        """
        self.body = body

