# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class AddCustomLiveStreamRecordTemplateRequest(JDCloudRequest):
    """
    添加用户自定义直播录制模板

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(AddCustomLiveStreamRecordTemplateRequest, self).__init__(
            '/recordCustoms:template', 'POST', header, version)
        self.parameters = parameters


class AddCustomLiveStreamRecordTemplateParameters(object):

    def __init__(self, recordPeriod, saveBucket, recordFileType, template):
        """
        :param recordPeriod: 自动录制周期
- 取值: [15,360]
- 单位: 分钟

        :param saveBucket: 存储桶

        :param recordFileType: 录制文件格式:
- 取值: ts,flv,mp4 (多种类型之间用;隔开)
- 不区分大小写

        :param template: 录制模板自定义名称:
 - 取值要求：数字、大小写字母或短横线("-")、下划线("_"),
   最大长度50个字符
 - <b>注意: 不能与已定义命名重复</b>

        """

        self.recordPeriod = recordPeriod
        self.saveBucket = saveBucket
        self.saveEndpoint = None
        self.recordFileType = recordFileType
        self.template = template

    def setSaveEndpoint(self, saveEndpoint):
        """
        :param saveEndpoint: (Optional) endpoint

        """
        self.saveEndpoint = saveEndpoint

