# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class PayOrderRequest(JDCloudRequest):
    """
    订单支付
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(PayOrderRequest, self).__init__(
            '/regions/{regionId}/order/{orderNumber}:pay', 'POST', header, version)
        self.parameters = parameters


class PayOrderParameters(object):

    def __init__(self, regionId, orderNumber, ):
        """
        :param regionId: Region ID
        :param orderNumber: orderNumber ID
        """

        self.regionId = regionId
        self.orderNumber = orderNumber
        self.autoPay = None

    def setAutoPay(self, autoPay):
        """
        :param autoPay: (Optional) 自动支付标示，当为true,才会发生自动支付，后付费的订单直接支付0元，预付费的订单（余额+代金劵）> 订单应付金额，成功，否则支付失败（建议到京东云平台用现金方式支付）
        """
        self.autoPay = autoPay

