# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeAlarmHistoryRequest(JDCloudRequest):
    """
    查询告警历史
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(DescribeAlarmHistoryRequest, self).__init__(
            '/regions/{regionId}/describeAlarmHistory', 'GET', header, version)
        self.parameters = parameters


class DescribeAlarmHistoryParameters(object):

    def __init__(self, regionId,startTime, endTime, ):
        """
        :param regionId: 地域代码
        :param startTime: 查询开始时间，格式为：2021-11-11T15:04:05Z
        :param endTime: 查询截止时间，格式为：2021-11-11T15:04:05Z
        """

        self.regionId = regionId
        self.pageIndex = None
        self.pageSize = None
        self.startTime = startTime
        self.endTime = endTime
        self.dbType = None
        self.instanceGid = None
        self.instanceName = None

    def setPageIndex(self, pageIndex):
        """
        :param pageIndex: (Optional) 显示数据的页码，默认为1，取值范围：[-1,∞)
        """
        self.pageIndex = pageIndex

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页显示的数据条数，默认为10
        """
        self.pageSize = pageSize

    def setDbType(self, dbType):
        """
        :param dbType: (Optional) 数据库类型，默认MySQL
        """
        self.dbType = dbType

    def setInstanceGid(self, instanceGid):
        """
        :param instanceGid: (Optional) 实例Id
        """
        self.instanceGid = instanceGid

    def setInstanceName(self, instanceName):
        """
        :param instanceName: (Optional) 实例名称
        """
        self.instanceName = instanceName

