# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ListAuditLog(object):

    def __init__(self, auditId=None, auditWhen=None, metadataAction=None, metadataId=None, metadataName=None, actionType=None, actionResult=None, actorUser=None, actorId=None, actorIp=None, actorType=None, interfaceType=None, ownerId=None, oldValue=None, newValue=None):
        """
        :param auditId: (Optional) 审计日志id
        :param auditWhen: (Optional) 事件触发时间
        :param metadataAction: (Optional) 元数据操作（Zone、Zone_Status、DNS_Record、Zone_Paused、Zone_Operations）
--------------------------
Zone 域名添加、域名删除
Zone_Status 域名待激活、域名已激活
DNS_Record 解析记录添加、解析记录变更、解析记录删除
Zone_Paused 域名启服、域名停服
Zone_Operations 运营后台域名操作：域名停启服、lockdown、黑白名单

        :param metadataId: (Optional) 元数据操作id（zone_id、record_id、ins_id）
--------------------------
zone_id 域名id，metadataAction=Zone*
record_id 解析记录id，metadataAction=DNS_Record*
ins_id 实例id

        :param metadataName: (Optional) 元数据操作名称（zone_id、record_id、ins_id）
--------------------------
zone_name 域名，metadataAction=Zone*
record_content 解析记录值，metadataAction=DNS_Record*
ins_name 实例名称

        :param actionType: (Optional) 事件类型（add、rec_add）
-----------cf审计日志事件类型---------------
add 域名添加
delete 域名删除
pending 域名待激活
deployed 域名已激活
resume 域名启服
pause 域名停服
rec_add 解析记录添加
rec_set 解析记录变更
rec_del 解析记录删除
-----------scdn运营后台审计日志事件类型-----
op_on_pause 开启pause
op_off_pause 关闭pause
op_on_lockdown 开启lockdown
op_off_lockdown 关闭lockdown
op_on_black 开启黑名单
op_off_black 关闭黑名单
op_on_white 开启白名单
op_off_white 关闭白名单

        :param actionResult: (Optional) 结果：true 成功、false 失败
        :param actorUser: (Optional) 操作用户：cf_email cf用户邮箱、op_erp 运营后台操作erp
        :param actorId: (Optional) 操作id：cf_user_id
        :param actorIp: (Optional) 操作ip
        :param actorType: (Optional) 操作用户类型：user 用户、system 系统、op 运营后台
        :param interfaceType: (Optional) 接口调用方式：API接口、 UI控制台
        :param ownerId: (Optional) 实例id
        :param oldValue: (Optional) 旧配置
        :param newValue: (Optional) 新配置
        """

        self.auditId = auditId
        self.auditWhen = auditWhen
        self.metadataAction = metadataAction
        self.metadataId = metadataId
        self.metadataName = metadataName
        self.actionType = actionType
        self.actionResult = actionResult
        self.actorUser = actorUser
        self.actorId = actorId
        self.actorIp = actorIp
        self.actorType = actorType
        self.interfaceType = interfaceType
        self.ownerId = ownerId
        self.oldValue = oldValue
        self.newValue = newValue
