# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ExpiredImage(object):

    def __init__(self, imageId=None, name=None, platform=None, architecture=None, osType=None, status=None, createTime=None, desc=None, rootDeviceType=None, ownerPin=None, expiredTime=None, createFrom=None, imageSource=None, launchPermission=None):
        """
        :param imageId: (Optional) 镜像ID。
        :param name: (Optional) 镜像名称。
        :param platform: (Optional) 镜像的操作系统平台名称。
取值范围：`Ubuntu、CentOS、Windows Server、Other Linux、Other Windows`。

        :param architecture: (Optional) 镜像架构。取值范围：`x86_64、arm64`。
        :param osType: (Optional) 镜像的操作系统类型。取值范围：`windows、linux`。
        :param status: (Optional) 镜像状态。参考 [镜像状态](https://docs.jdcloud.com/virtual-machines/api/image_status)。
        :param createTime: (Optional) 镜像的创建时间。
        :param desc: (Optional) 镜像描述。
        :param rootDeviceType: (Optional) 镜像支持的系统盘类型。取值范围：
`localDisk`：本地盘系统盘。
`cloudDisk`：云盘系统盘。

        :param ownerPin: (Optional) 该镜像拥有者的用户PIN。
        :param expiredTime: (Optional) 镜像过期时间，空表示永久有效。
        :param createFrom: (Optional) 创建来源。
        :param imageSource: (Optional) 镜像来源，取值范围：
`public`：官方镜像。
`thirdparty`：镜像市场镜像。
`private`：用户自己的私有镜像。
`shared`：其他用户分享的镜像。
`community`：社区镜像。

        :param launchPermission: (Optional) 镜像的使用权限。取值范围：
`all`：没有限制，所有人均可以使用。
`specifiedUsers`：只有共享用户可以使用。
`ownerOnly`：镜像拥有者自己可以使用。
        """

        self.imageId = imageId
        self.name = name
        self.platform = platform
        self.architecture = architecture
        self.osType = osType
        self.status = status
        self.createTime = createTime
        self.desc = desc
        self.rootDeviceType = rootDeviceType
        self.ownerPin = ownerPin
        self.expiredTime = expiredTime
        self.createFrom = createFrom
        self.imageSource = imageSource
        self.launchPermission = launchPermission
